{% for key, value in global_settings.items() %}
{% if value is number or value == "true" or value == "false" %}
{{ key }} = {{ value }}
{% elif value is iterable and value is not string %}
{{ key }} = ["{{ value | join('", "') }}"]
{% else %}
{{ key }} = "{{ value }}"
{% endif %}
{% endfor %}

[session_server]
{% for key, value in session_server.items() %}
{% if value is number or value == "true" or value == "false" %}
  {{ key }} = {{ value }}
{% elif value is iterable and value is not string %}
  {{ key }} = ["{{ value | join('", "') }}"]
{% else %}
  {{ key }} = "{{ value }}"
{% endif %}
{% endfor %}

[[runners]]
{% for key, value in runners.items() %}
{% if value is number or value == "true" or value == "false" %}
  {{ key }} = {{ value }}
{% elif value is iterable and value is not string %}
  {{ key }} = ["{{ value | join('", "') }}"]
{% else %}
  {{ key }} = "{{ value }}"
{% endif %}
{% endfor %}
{% if token is defined %}
  token = "{{ token }}"
{% endif %}
{% if runner_feature_flags is defined and runner_feature_flags|length %}
  [runners.feature_flags]
{% for key, value in runner_feature_flags.items() %}
    {{ key }} = {{ value }}
{% endfor %}
{% endif %}
  [runners.custom_build_dir]
  [runners.cache]
{% if runners_cache is defined %}
{% for key, value in runners_cache.items() %}
{% if value is number or value == "true" or value == "false" %}
    {{ key }} = {{ value }}
{% elif value is iterable and value is not string %}
    {{ key }} = ["{{ value | join('", "') }}"]
{% else %}
    {{ key }} = "{{ value }}"
{% endif %}
{% endfor %}
    [runners.cache.s3]
{% if runners_cache_s3 is defined %}
      ServerAddress = "{{ runners_cache_s3.ServerAddress }}"
      AccessKey = "{{ runners_cache_s3.AccessKey }}"
      SecretKey = "{{ runners_cache_s3.SecretKey }}"
      BucketName = "{{ runners_cache_s3.BucketName }}"
      BucketLocation = "{{ runners_cache_s3.BucketLocation }}"
      Insecure = {{ runners_cache_s3.Insecure }}
{% endif %}
    [runners.cache.gcs]
{% if runners_cache_gcs is defined %}
{% for key, value in runners_cache_gcs.items() %}
      {{ key }} = "{{ value }}"
{% endfor %}
{% endif %}
{% endif %}
{% if runners_docker is defined %}
  [runners.docker]
{% for key, value in runners_docker.items() %}
{% if (value is number and key != "cpus") or value == "true" or value == "false" %}
    {{ key }} = {{ value }}
{% elif value is iterable and value is not string %}
    {{ key }} = ["{{ value | join('", "') }}"]
{% else %}
    {{ key }} = "{{ value }}"
{% endif %}
{% endfor %}
{% endif %}